## python-colormap 1.0.6

=== requirements.txt ===
matplotlib
easydev

## python-colormap 1.0.1

=== debian/changelog ===
python-colormap (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #878963)

 -- Afif Elghraoui <afif@debian.org>  Wed, 18 Oct 2017 21:12:38 -0400

=== debian/control ===
Source: python-colormap
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 10),
	dh-python,
	python-all,
	python-setuptools,
	python-matplotlib,
	python-numpy,
	python-easydev,
	python3-all,
	python3-setuptools,
	python3-matplotlib,
	python3-numpy,
	python3-easydev,
	python-tk <!nocheck>,
	python-nose <!nocheck>,
	python3-tk <!nocheck>,
	python3-nose <!nocheck>,
Standards-Version: 4.1.1
Homepage: https://colormap.readthedocs.io/
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-colormap.git
Vcs-Browser: https://anonscm.debian.org/git/debian-med/python-colormap.git

Package: python-colormap
Architecture: all
Depends:
	${python:Depends},
	${misc:Depends},
# not sure why these didn't get added by dh-python
	python-matplotlib,
	python-numpy,
	python-easydev,
Description: ease manipulation of matplotlib colormaps and color codecs (Python 2)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 2.

Package: python3-colormap
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends},
# not sure why these didn't get added by dh-python
	python3-matplotlib,
	python3-numpy,
	python3-easydev,
Description: ease manipulation of matplotlib colormaps and color codecs (Python 3)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

# pypi.debian.net appears to be down.
# there are no tags in the github repository <https://github.com/cokelaer/colormap>
# https://pypi.debian.net/python-colormap/python-colormap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-colormap 1.0.2

=== debian/changelog ===
python-colormap (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * cme fix dpkg-control
  * Testsuite: autopkgtest-pkg-python
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 15:10:47 +0100

python-colormap (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: pypi can now be parsed directly
  * remove unneeded lintian-override
    Closes: #896662
  * debhelper 11
  * Standards-Version: 4.1.4
  * d/control:
     - Point Vcs-fields to Salsa
     - Make sequence of fields more cme-ish

 -- Andreas Tille <tille@debian.org>  Mon, 23 Apr 2018 15:24:27 +0200

=== debian/control ===
Source: python-colormap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-all,
               python-setuptools,
               python-matplotlib,
               python-numpy,
               python-easydev,
               python3-all,
               python3-setuptools,
               python3-matplotlib,
               python3-numpy,
               python3-easydev,
               python-tk <!nocheck>,
               python-nose <!nocheck>,
               python3-tk <!nocheck>,
               python3-nose <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-colormap
Vcs-Git: https://salsa.debian.org/med-team/python-colormap.git
Homepage: https://colormap.readthedocs.io/

Package: python-colormap
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
# not sure why these didn't get added by dh-python
         python-matplotlib,
         python-numpy,
         python-easydev
Description: ease manipulation of matplotlib colormaps and color codecs (Python 2)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 2.

Package: python3-colormap
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
# not sure why these didn't get added by dh-python
         python3-matplotlib,
         python3-numpy,
         python3-easydev
Description: ease manipulation of matplotlib colormaps and color codecs (Python 3)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_NAME=colormap

export NOSE_VERBOSE=2

# headless graphics when running tests
export MPLCONFIGDIR=$(CURDIR)/debian/matplotlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-colormap 1.0.3

=== debian/changelog ===
python-colormap (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 23 Sep 2020 15:38:21 +0530

python-colormap (1.0.2-2) unstable; urgency=medium

  * Afif Elghraoui himself from Uploaders
  * Add myself to Uploaders
  * Drop Python2 package
    Closes: #937657
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 16:54:07 +0100

=== debian/control ===
Source: python-colormap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-matplotlib,
               python3-numpy,
               python3-easydev,
               python3-tk <!nocheck>,
               python3-nose <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-colormap
Vcs-Git: https://salsa.debian.org/med-team/python-colormap.git
Homepage: https://colormap.readthedocs.io/
Rules-Requires-Root: no

Package: python3-colormap
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
# not sure why these didn't get added by dh-python
         python3-matplotlib,
         python3-numpy,
         python3-easydev
Description: ease manipulation of matplotlib colormaps and color codecs (Python 3)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 export MPLCONFIGDIR=$(CURDIR)/debian/matplotlib
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

# there are no tags in the github repository <https://github.com/cokelaer/colormap>
https://pypi.org/project/colormap/#files https://files.pythonhosted.org/packages/.*/colormap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-colormap 1.0.4

=== debian/changelog ===
python-colormap (1.0.4-3) unstable; urgency=medium

  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 10:34:36 +0100

python-colormap (1.0.4-2) unstable; urgency=medium

  * Team Upload.
  * Switch from nosetest -> pytest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 18:32:38 +0530

python-colormap (1.0.4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.4
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules: Fix permissions of a few files

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 03:33:56 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-colormap
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -12,10 +12,12 @@
                python3-numpy,
                python3-easydev,
                python3-tk <!nocheck>,
-               python3-nose <!nocheck>
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-colormap
-Vcs-Git: https://salsa.debian.org/med-team/python-colormap.git
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-xdist <!nocheck>
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colormap
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-colormap.git
 Homepage: https://colormap.readthedocs.io/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_NAME=colormap

# headless graphics when running tests
export MPLCONFIGDIR=$(CURDIR)/debian/matplotlib

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	find debian/ -name .coverage | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian/ -name PKG-INFO -o -name *.txt | xargs chmod -x

## python-colormap 1.0.6

=== debian/changelog ===
python-colormap (1.0.6-1) unstable; urgency=medium

  [ Lance Lin ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: Replace Testsuite autopkgtest-pkg-python for
    autopkgtest-pkg-pybuild
  * d/source/options: Not needed, egg-info cleaned by dh-sequence-python3

  [ Jeroen Ploemen ]
  * Control: remove unused build-dep on python3-tk; mark relevant build-
    deps <!nocheck>.

 -- Lance Lin <lq27267@gmail.com>  Thu, 07 Dec 2023 15:43:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-matplotlib,
-               python3-numpy,
-               python3-easydev,
-               python3-tk <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-easydev <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-xdist <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colormap
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-colormap.git
 Homepage: https://colormap.readthedocs.io/
@@ -25,7 +24,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-# not sure why these didn't get added by dh-python
+# not sure why these didn't get added by dh-sequence-python3
          python3-matplotlib,
          python3-numpy,
          python3-easydev

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export MPLCONFIGDIR=$(CURDIR)/debian/matplotlib
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_install:
 	find debian/ -name .coverage | xargs rm -rf

## python-colormap 1.1.0

=== debian/changelog ===
python-colormap (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Update build-dependencies.
  * debian/rules: Remove useless override to dh_fixperms.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 May 2024 17:28:46 -0400

## python-colormap 1.2.0

=== debian/changelog ===
python-colormap (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 20:28:08 -0400

## python-colormap 1.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ebisoftware.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ebisoftware.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ebisoftware"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ebisoftware"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

publish:
	scp -r build/html/* cokelaer@ebi1-001.ebi.ac.uk:/homes/cokelaer/public_html/cnolab/wrapper

=== doc/requirements.txt ===
numpydoc
sphinx<7
sphinx_rtd_theme
pillow<=10.3.0
sphinx_gallery
sphinx_copybutton

=== debian/changelog ===
python-colormap (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Support poetry-core 2.0 (closes: #1094084).

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Jan 2025 11:23:50 +0000

=== debian/control ===
Source: python-colormap
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colormap
Vcs-Git: https://salsa.debian.org/python-team/packages/python-colormap.git
Homepage: https://colormap.readthedocs.io/
Rules-Requires-Root: no

Package: python3-colormap
Architecture: all
Depends:
# not sure why these didn't get added by dh-sequence-python3
 python3-matplotlib,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
Description: ease manipulation of matplotlib colormaps and color codecs (Python 3)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,3 @@
 
 execute_after_dh_install:
 	find debian/ -name .coverage | xargs rm -rf
-
-override_dh_fixperms:
-	dh_fixperms
-	find debian/ -name PKG-INFO -o -name *.txt | xargs chmod -x

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/cokelaer/colormap/tags?per_page=100 \
 https://api.github.com/repos/cokelaer/colormap/tarball/refs/tags/@ANY_VERSION@
#https://pypi.org/project/colormap/#files https://files.pythonhosted.org/packages/.*/colormap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
